### Virtual Method

# WebKitWebExtension DOMEventTarget add_event_listener

#### Declaration [src]

    gboolean
    add_event_listener (
      WebKitDOMEventTarget* target,
      const char* event_name,
      GClosure* handler,
      gboolean use_capture
    )

#### Description

No description available.

#### Parameters

`event_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`handler`

  Type: `GClosure`

  No description available.

  The data is owned by the caller of the function.

`use_capture`

  Type: `gboolean`

  No description available.

#### Return value

Type: `gboolean`

No description available.